OGRE-Next: Ogre::NULLStagingTexture Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::NULLStagingTexture Class Reference

`#include <OgreNULLStagingTexture.h>`

Inheritance diagram for Ogre::NULLStagingTexture:
[legend]

## Public Member Functions
| NULLStagingTexture (VaoManager *vaoManager, PixelFormatGpu formatFamily, size_t size)
| ~NULLStagingTexture () override
Public Member Functions inherited from Ogre::StagingTextureBufferImpl
| StagingTextureBufferImpl (VaoManager *vaoManager, PixelFormatGpu formatFamily, size_t size, size_t internalBufferStart, size_t vboPoolIdx)
| ~StagingTextureBufferImpl () override
size_t | _getInternalBufferStart () const
size_t | _getInternalTotalSizeBytes () const
size_t | _getSizeBytes () override
| Returns size in bytes.
size_t | getVboPoolIndex ()
bool | isSmallerThan (const StagingTexture *other) const override
void | startMapRegion () override
| Must be called from main thread when the StagingBuffer is grabbed.
bool | supportsFormat (uint32 width, uint32 height, uint32 depth, uint32 slices, PixelFormatGpu pixelFormat) const override
| D3D11 has restrictions about which StagingTextures can be uploaded to which textures based on texture families (for example all PFG_RGBA32_* belong to the same family).
Public Member Functions inherited from Ogre::StagingTexture
| StagingTexture (VaoManager *vaoManager, PixelFormatGpu formatFamily)
virtual | ~StagingTexture ()
PixelFormatGpu | getFormatFamily () const
| Returns the format family it was requested.
uint32 | getLastFrameUsed () const
TextureBox | mapRegion (uint32 width, uint32 height, uint32 depth, uint32 slices, PixelFormatGpu pixelFormat)
| Can be called from worker thread, but not from multiple threads at the same time, also you can't call anything else either.
virtual void | stopMapRegion ()
| Must be called from main thread when the StagingBuffer is released.
virtual void | upload (const TextureBox &srcBox, TextureGpu *dstTexture, uint8 mipLevel, const TextureBox *cpuSrcBox=0, const TextureBox *dstBox=0, bool skipSysRamCopy=false)
| Uploads a region of data in srcBox (which must have been created with mapRegion) into dstTexture.
bool | uploadWillStall ()
| If it returns true, startMapRegion will stall.

## Constructor & Destructor Documentation

## ◆ NULLStagingTexture()

Ogre::NULLStagingTexture::NULLStagingTexture | ( | VaoManager * | vaoManager,
|  | PixelFormatGpu | formatFamily,
|  | size_t | size )

## ◆ ~NULLStagingTexture()

Ogre::NULLStagingTexture::~NULLStagingTexture | ( |  | ) |
| override

The documentation for this class was generated from the following file:

- OgreNULLStagingTexture.h